class BootScene extends Phaser.Scene {
  constructor() {
    super({ key: 'BootScene' });
  }

  create() {
    // Установка фонового цвета для сцены
    this.cameras.main.setBackgroundColor('#abcdef');

    // Создание текста для отображения процента загрузки
    let loadingText = this.make.text({
      x: this.cameras.main.width / 2,
      y: this.cameras.main.height / 2 - 20,
      text: 'Loading...',
      style: {
        font: '20px Arial',
        color: '#ffffff',
      },
    });
    loadingText.setOrigin(0.5, 0.5);

    // Переход к следующей сцене
    this.scene.start('PreloadScene');
  }
}
export default BootScene;
